Name:           python-dataclay
Version:        4.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python distributed data store that enables remotely access and method execution.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://dataclay.bsc.es/
Source:         %{pypi_source dataclay}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dataclay' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dataclay
Summary:        %{summary}

%description -n python3-dataclay %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-dataclay bsc-mn,dev,docs,metrics,telemetry


%prep
%autosetup -p1 -n dataclay-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x bsc-mn,dev,docs,metrics,telemetry


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dataclay -f %{pyproject_files}


%changelog
%autochangelog